GetCircle

Pauses for user input of a circle.

Syntax

Rhino.GetCircle ([intMode [, arrPoint [, arrPlane [, strPrompt1 [, strPrompt2 [, strPrompt3]]]]])

Parameters

intMode

Optional.  Number.  The box selection mode.  If not specified, all modes (0) are available.  The box selection modes are as follows:

Value

Description

0

All modes.

1

Center.  The circle is created by picking a center point and a radius point.

2

2-Point.  The circle is created by picking two points.

3

3-Point.  The circle is created by picking three points.

4

Tangent.  The circle is created tangent to curves..

5

Fit.  The circle is created by fitting to selected points.

arrPoint

Optional.  Array.  A 3-D center point.  Note, if intMode=1, then arrPoint is required.

arrPlane

Optional.  Array.  A circle's base plane.  Note, not all modes use this parameter.

strPrompt1

Optional.  String.  The first prompt or message.

strPrompt2

Optional.  String.  The second prompt or message.

strPrompt3

Optional.  String.  The third prompt or message.

Returns

Array

An array containing the definition of the circle if successful.  The elements of the array are as follows:

Element

Type

Description

0

Array

The base plane of the circle.

2

Number

The radius of the circle.

Null

If not successful, or on error.

Example

Dim arrCircle

arrCircle = Rhino.GetCircle(1, Array(0,0,0), Rhino.WorldYZPlane)

If IsArray(arrCircle) Then

  Rhino.AddCircle arrCircle(0), arrCircle(1)

End If

Also See

GetBox

GetRectangle